aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-helper/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2014-09-12 16:01:25 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-09-29 06:48:11 +0000
commit04d9c131b58630793695544e3d7f68f1c86dbbe7 (patch)
tree9fd0bf1d68f6d75561cc2fc69ffed3c19dc69532 /testing/py-helper/APKBUILD
parent2b051375c6700d1458d16c09a01d770220a43f67 (diff)
downloadaports-04d9c131b58630793695544e3d7f68f1c86dbbe7.tar.gz
aports-04d9c131b58630793695544e3d7f68f1c86dbbe7.tar.bz2
aports-04d9c131b58630793695544e3d7f68f1c86dbbe7.tar.xz
testing/py-helper: new aport
Development library for quickly writing configurable applications and daemons http://helper.readthedocs.org
Diffstat (limited to 'testing/py-helper/APKBUILD')
-rw-r--r--testing/py-helper/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-helper/APKBUILD b/testing/py-helper/APKBUILD
new file mode 100644
index 0000000000..18712cc25d
--- /dev/null
+++ b/testing/py-helper/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-helper
+_pkgname=helper
+pkgver=2.4.1
+pkgrel=0
+pkgdesc="A Python library for quickly writing configurable applications and daemons"
+url="http://helper.readthedocs.org"
+arch="noarch"
+license="BSD"
+depends="python py-yaml"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="e7146c95bbd96a12df8d737a16dca3a7 helper-2.4.1.tar.gz"
+sha256sums="4e33dde42ad4df30fb7790689f93d77252cff26a565610d03ff2e434865a53a2 helper-2.4.1.tar.gz"
+sha512sums="9a3704cf1fc4a0e96c98c5f5f533ba929f3e55b0dea9fc6c313e27451d3f44cfdba5a724cdaeb42bebfba0f43332fc46018969ec988911a163eb15ecfbc9bc7f helper-2.4.1.tar.gz"